Package com.zfabrik.components.java

## Enum LangLevel

- java.lang.Object
- - java.lang.Enum<LangLevel>
  - - com.zfabrik.components.java.LangLevel

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<LangLevel>`

      public enum LangLevel
      extends java.lang.Enum<LangLevel>

  Supported language level abstraction

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `JAVA11` | Java 11 as of JDK 11.x
    `JAVA12` | Java 12 as of JDK 12.x
    `JAVA13` | Java 13 as of JDK 13.x
    `JAVA14` | Java 14 as of JDK 15.x
    `JAVA15` | Java 15 as of JDK 15.x

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static LangLevel` | `HIGHEST` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LangLevel` | `determine()` | The current language level is taken from a system property or by inspecting the runtime.
    `static LangLevel` | `parse​(java.lang.String value)` |
    `java.lang.String` | `toString()` |
    `static LangLevel` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static LangLevel[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JAVA11

          public static final LangLevel JAVA11

      Java 11 as of JDK 11.x

    - #### JAVA12

          public static final LangLevel JAVA12

      Java 12 as of JDK 12.x

    - #### JAVA13

          public static final LangLevel JAVA13

      Java 13 as of JDK 13.x

    - #### JAVA14

          public static final LangLevel JAVA14

      Java 14 as of JDK 15.x

    - #### JAVA15

          public static final LangLevel JAVA15

      Java 15 as of JDK 15.x

  - ### Field Detail

    - #### HIGHEST

          public static LangLevel HIGHEST

  - ### Method Detail

    - #### values

          public static LangLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LangLevel c : LangLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LangLevel valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<LangLevel>`

    - #### determine

          public static LangLevel determine()

      The current language level is taken from a system property or by inspecting the runtime. This method implements the official way. The current default is .

    - #### parse

          public static LangLevel parse​(java.lang.String value)